Package com.sap.ai.sdk.foundationmodels.openai.model

# Class OpenAiChatMessage.OpenAiChatFunctionMessage

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiChatMessage.OpenAiChatFunctionMessage

All Implemented Interfaces:
  `OpenAiChatMessage`

Enclosing interface:
  `OpenAiChatMessage`

public static class OpenAiChatMessage.OpenAiChatFunctionMessage extends Object implements OpenAiChatMessage
OpenAI function message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.sap.ai.sdk.foundationmodels.openai.model.OpenAiChatMessage

  `OpenAiChatMessage.OpenAiChatAssistantMessage, OpenAiChatMessage.OpenAiChatFunctionMessage, OpenAiChatMessage.OpenAiChatSystemMessage, OpenAiChatMessage.OpenAiChatToolMessage, OpenAiChatMessage.OpenAiChatUserMessage`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenAiChatFunctionMessage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getContent()`
  The contents of the function message.
  `String`
  `getName()`
  The name of the function to call.
  `String`
  `getRole()`
  The role of the messages author.
  `int`
  `hashCode()`
  `OpenAiChatMessage.OpenAiChatFunctionMessage`
  `setContent(String content)`
  The contents of the function message.
  `OpenAiChatMessage.OpenAiChatFunctionMessage`
  `setName(String name)`
  The name of the function to call.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpenAiChatFunctionMessage

    public OpenAiChatFunctionMessage()

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRole

    @Nonnull public String getRole()
    The role of the messages author.
    Specified by:
      `getRole` in interface `OpenAiChatMessage`
    Returns:
      The role of the messages author.

  - ### getContent

    @Nullable public String getContent()
    The contents of the function message.
    Specified by:
      `getContent` in interface `OpenAiChatMessage`
    Returns:
      The contents of the message.

  - ### setContent

    public OpenAiChatMessage.OpenAiChatFunctionMessage setContent(@Nonnull String content)
    The contents of the function message.
    Returns:
      `this`.

  - ### getName

    @Nullable public String getName()
    The name of the function to call.

  - ### setName

    public OpenAiChatMessage.OpenAiChatFunctionMessage setName(@Nullable String name)
    The name of the function to call.
    Returns:
      `this`.